Skip to main content
List Conversations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Query Parameters

id
string

Conversation ID

created_at
string

Conversation creation date

updated_at
string

Latest update

organisation_id
string

Organisation ID

subject
string

Subject of conversation

status
string

Status of conversation

assignee_id
string

Assignee ID

unread
string

Is conversation on unread?

channel_id
string

Channel ID

channel_type
string

Channel Type of Conversation

contact_id
string

Contact ID

external_id
string

External ID

tags
string

Given tags of conversation

is_spam
string

Is conversation marked as spam?

inbox_id
string

Inbox ID

latest_message_id
string

Latest message ID

latest_inbound_message_id
string

Latest inbound message ID

latest_message_created_at
string

Latest message creation date

latest_inbound_message_created_at
string

Latest inbound message creation date

select
string

Filtering Columns

order
string

Ordering. Allowed Fields: latest_activity_created_at

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

200 - application/json

OK

id
string<uuid>
default:random uuid

Conversation ID

created_at
string<timestamp with time zone>
default:now()

Conversation creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

subject
string<text> | null

Subject of conversation

status
enum<string>
default:open

Status of conversation

Available options:
open,
closed,
archived
assignee_id
string<uuid> | null

Assignee ID

unread
boolean<boolean> | null
default:false

Is conversation on unread?

channel_id
string<uuid>

Channel ID

channel_type
enum<string>

Channel Type of Conversation

Available options:
email,
sms,
whatsapp,
instagram,
facebook,
google_business_messaging,
postal
contact_id
string<uuid> | null

Contact ID

external_id
string<text> | null

External ID

tags
object | null

Given tags of conversation

is_spam
boolean<boolean>
default:false

Is conversation marked as spam?

inbox_id
string<uuid>

Inbox ID

latest_message_id
string<uuid> | null

Latest message ID

latest_inbound_message_id
string<uuid> | null

Latest inbound message ID

latest_message_created_at
string<timestamp with time zone> | null

Latest message creation date

latest_inbound_message_created_at
string<timestamp with time zone> | null

Latest inbound message creation date